ONVIF::Analytics::Types::MotionInCells(3pm)

NAME
ONVIF::Analytics::Types::MotionInCells

DESCRIPTION
Perl data type class for the XML Schema defined complexType MotionInCells from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::MotionInCells
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class ONVIF::Analytics::Types::MotionInCells::_MotionInCells::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   Columns

     Number of columns of the cell grid (x dimension)

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::integer.

•   Rows

     Number of rows of the cell grid (y dimension)

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::integer.

•   Cells

     A "1" denotes a cell where motion is detected and a "0" an empty cell. The first cell is in the upper left corner. Then the cell order goes first from left to right and then from up to down. If the number of cells is not a multiple of 8 the last byte is filled with zeros. The information is run length encoded according to Packbit coding in ISO 12369 (TIFF, Revision 6.0).

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::base64Binary.

AUTHOR
Generated by SOAP::WSDL